com.io7m.jtensors

## Interface VectorWritable2LType

- All Known Subinterfaces:
    PVector2LType<T>, PVector3LType<T>, PVector4LType<T>, PVectorByteBuffered2LType<T>, PVectorByteBuffered3LType<T>, PVectorByteBuffered4LType<T>, PVectorWritable2LType<T>, PVectorWritable3LType<T>, PVectorWritable4LType<T>, Vector2LType, Vector3LType, Vector4LType, VectorByteBuffered2LType, VectorByteBuffered3LType, VectorByteBuffered4LType, VectorWritable3LType, VectorWritable4LType
  All Known Implementing Classes:
    PVectorByteBufferedM2L, PVectorByteBufferedM3L, PVectorByteBufferedM4L, PVectorM2L, PVectorM3L, PVectorM4L, VectorByteBufferedM2L, VectorByteBufferedM3L, VectorByteBufferedM4L, VectorM2L, VectorM3L, VectorM4L

      public interface VectorWritable2LType

  'Write' interface to two-dimensional vectors with long integer elements.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `copyFrom2L(VectorReadable2LType in_v)` Set the current vector to the contents of the input vector.
    `void` | `set2L(long x, long y)` Set the current `x` and `y` values of the current vector.
    `void` | `setXL(long x)` Set the current `x` value of the current vector.
    `void` | `setYL(long y)` Set the current `y` value of the current vector.

- - ### Method Detail

    - #### copyFrom2L

          void copyFrom2L(VectorReadable2LType in_v)

      Set the current vector to the contents of the input vector.
      Parameters:
        `in_v` - The input vector

    - #### set2L

          void set2L(long x,
                     long y)

      Set the current `x` and `y` values of the current vector.
      Parameters:
        `x` - The new `x` value.
        `y` - The new `y` value.

    - #### setXL

          void setXL(long x)

      Set the current `x` value of the current vector.
      Parameters:
        `x` - The new `x` value.

    - #### setYL

          void setYL(long y)

      Set the current `y` value of the current vector.
      Parameters:
        `y` - The new `y` value.

Copyright © 2017 <code@io7m.com> http://io7m.com